tigase.component.adhoc

## Class AdHocCommandException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.component.adhoc.AdHocCommandException

- All Implemented Interfaces:
    Serializable

      public class AdHocCommandException
      extends Exception

  Class description
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdHocCommandException(Authorization errorCondition)` Constructs ...
    `AdHocCommandException(Authorization errorCondition, String message)` Constructs ...
    `AdHocCommandException(Element item, Authorization errorCondition)` Constructs ...
    `AdHocCommandException(Element item, Authorization errorCondition, String message)` Constructs ...

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `Authorization` | `getErrorCondition()` Method description
    `Element` | `getItem()`
    `String` | `getMessage()`
    `String` | `getName()`
    `String` | `getType()`
    `Element` | `makeElement()` Method description
    `Element` | `makeElement(boolean insertOriginal)` Method description
    `Element` | `makeElement(Element sourceElement)` Method description
    `Element` | `makeErrorElement()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AdHocCommandException

          public AdHocCommandException(Authorization errorCondition)

      Constructs ...
      Parameters:
        `errorCondition` -

    - #### AdHocCommandException

          public AdHocCommandException(Authorization errorCondition,
                                       String message)

      Constructs ...
      Parameters:
        `errorCondition` -
        `message` -

    - #### AdHocCommandException

          public AdHocCommandException(Element item,
                                       Authorization errorCondition)

      Constructs ...
      Parameters:
        `item` -
        `errorCondition` -

    - #### AdHocCommandException

          public AdHocCommandException(Element item,
                                       Authorization errorCondition,
                                       String message)

      Constructs ...
      Parameters:
        `item` -
        `errorCondition` -
        `message` -

  - ### Method Detail

    - #### getCode

          public String getCode()

      Returns:
        Returns the code.

    - #### getErrorCondition

          public Authorization getErrorCondition()

      Method description
      Returns:

    - #### getItem

          public Element getItem()

      Returns:
        Returns the item.

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### getName

          public String getName()

      Returns:
        Returns the name.

    - #### getType

          public String getType()

      Returns:
        Returns the type.

    - #### makeElement

          public Element makeElement()

      Method description
      Returns:

    - #### makeElement

          public Element makeElement(boolean insertOriginal)

      Method description
      Parameters:
        `insertOriginal` -
      Returns:

    - #### makeElement

          public Element makeElement(Element sourceElement)

      Method description
      Parameters:
        `sourceElement` -
      Returns:

    - #### makeErrorElement

          public Element makeErrorElement()

      Returns:

Copyright © 2022 "Tigase, Inc.". All rights reserved.